---- AMERIA LTD ----
--defaults write com.adobe.LightroomClassicCC7 NSUserKeyEquivalents -dict-add "   LLFx FX Helper" -string "^m"
--defaults write com.adobe.LightroomClassicCC7 NSUserKeyEquivalents -dict-add "   LLFx FX Helper" -string "^l"
--[[----------------------------------------------------------------------------

(C) 2019 Ameria LTD All Rights Reserved

For more information please contact info@ameria.it



------------------------------------------------------------------------------]]

-- Access the Lightroom SDK namespaces.

local LrLogger = import 'LrLogger'
local LrTasks = import 'LrTasks'
local LrPrefs = import 'LrPrefs'
local myLogger = LrLogger( 'exportLogger' )
local Info = require 'Info'

local mixerShortcut = "defaults write com.adobe.LightroomClassicCC7 NSUserKeyEquivalents -dict-add '   Meridian Mixer' -string '^m'"
local fxShortcut = "defaults write com.adobe.LightroomClassicCC7 NSUserKeyEquivalents -dict-add '   LLFx FX Helper' -string '^f'"

local prefs = LrPrefs.prefsForPlugin()
local debug = false
if (prefs.debug == true) then
	debug= true
end

myLogger:enable( "logfile" )

local function outputToLog( message )
	if (debug) then
		myLogger:trace(  message )
	end
end
local function dbgLog(message)
	if (debug) then
		outputToLog(message)
	end
end

local function saveSettings(aleSettingKey, aleSetting)
	
	-- save this as the last preset used into the preferences
	if (prefs.settings == nil) then
		prefs.settings = {}
	end
	prefs.settings[aleSettingKey] = aleSetting
	prefs.settings = prefs.settings --update to ensure saved


end

local function readSettings(aleSettingKey)
	local prefs = LrPrefs.prefsForPlugin()
	if (prefs.settings ~= nil) then
		outputToLog("Settings file exists")
		retVal = prefs.settings[aleSettingKey]
		if (retVal == nil) then
			retVal = ""
		end
	else
		 retVal = ""
	end
	outputToLog("Setting ".. tostring(aleSettingKey) .. " = " .. tostring(retVal))
	return retVal
end



dbgLog("PLUGIN ENABLED")

if (readSettings("KeyboardShortcuts") ~= true) then
    dbgLog("Setting Keyboard Shortcuts")
    if (MAC_ENV) then 
        dbgLog('running on Mac')
        dbgLog("Setting Keyboard Shortcuts1")
        local success = LrTasks.execute(mixerShortcut)
        if (success > 0) then
            dbgLog("Setting Keyboard Shortcuts Failed")
        else
            dbgLog("Setting Keyboard Shortcuts Success")
        end
        success = LrTasks.execute(fxShortcut)
        dbgLog(success)
        if (success > 0) then
            dbgLog("Setting Keyboard Shortcuts Failed")
        else
            dbgLog("Setting Keyboard Shortcuts Success")
        end
        

    else
        dbgLog('running on Windows')
    end
    
    saveSettings("KeyboardShortcuts", true)

end


