---- AMERIA LTD ----   

--[[----------------------------------------------------------------------------

(C) 2019 Ameria LTD All Rights Reserved

For more information please contact info@ameria.it


------------------------------------------------------------------------------]]

-- Lightroom SDK
local LrBinding			= import 'LrBinding'
local LrHttp 			= import 'LrHttp'
local LrView 			= import 'LrView'
local LrPathUtils 		= import 'LrPathUtils'
local LrFileUtils		= import 'LrFileUtils'
local LrFunctionContext	= import 'LrFunctionContext'
local LrPrefs			= import 'LrPrefs'
local LrTasks			= import 'LrTasks'

local bind = LrView.bind
local share = LrView.share
local conditionalItem = LrView.conditionalItem

require('Personalisation.lua')


local pluginInfoProvider = {}

function pluginInfoProvider.sectionsForTopOfDialog(f, propertyTable )

	return {
		{
    		title = 	 Personalisation.APP_NAME,
    		synopsis = 	Personalisation.SYNOPSIS,
			bind_to_object = propertyTable,
			     		
    		f:view {
				fill_horizontal = 1,
				f:row {
					margin_left = 30,
					f:picture {
						value = _PLUGIN:resourceId(Personalisation.LOGO_URL),
						width  = 500,
						height = 100,
						alignment = "right",
					},
				},
				f:column {
				f:static_text {
					title 		= 
					Personalisation.APP_DESCRIPTION,
					alignment 	= 'left',
					},
				},
    		}
		}
	}

end

function pluginInfoProvider.sectionsForBottomOfDialog(f, propertyTable )

	local prefs = LrPrefs.prefsForPlugin()
	if (prefs.AutoUpdate == nil) then
		prefs.AutoUpdate = true
	end
	prefs.settings = prefs.settings --update to ensure saved

	return {
		{
    		title = 	 "Settings",
			bind_to_object = propertyTable,
			     		
    		f:view {
				fill_horizontal = 1,
				
				f:column {
					f:row{
						f:static_text {
							title 		=  "Update Automatically: ",
							alignment 	= 'left',
							},
						
						f:checkbox {
							title = "   ",
							value = bind { key = 'AutoUpdate', object = prefs },
						},
					},
					f:row{
						f:static_text {
							title 		=  ("Current Version: " .. Personalisation.VERSION_NO),
							alignment 	= 'left',
							},
			
					},

				},
			


    		}
		}
	}

end

return pluginInfoProvider